import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { DatepickerOptions } from 'ng2-datepicker';
export declare class ContentPublicatorComponent implements OnInit, OnChanges {
    resource: any;
    saveResource: any;
    themes: any;
    dataEditResource: any;
    dateSelect: any;
    close: EventEmitter<boolean>;
    resSelected: EventEmitter<any>;
    newTheme: EventEmitter<boolean>;
    showPreviewContent: EventEmitter<boolean>;
    isOpen: boolean;
    themeSelect: any;
    theme: any;
    sinceDate: any;
    data: any;
    finalOptions: DatepickerOptions;
    resourceProcessed: any;
    idContent: any;
    startDate: any;
    endDate: any;
    flag: boolean;
    msgErr: string;
    msgErrT: string;
    msgErrDatePlanning: boolean;
    contentEdit: boolean;
    titleE: string;
    abstractE: string;
    tagsCustom: any[];
    tagsContenido: any[];
    private innerValue;
    private onChangeCallback;
    role: string;
    value: Date;
    private defaultOptions;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    selectThemeForContent(t: any): void;
    validResources(date: any, contents: any): void;
    closeModal(): void;
    saveResourceSelected(res: any): void;
    editResourceSelected(): void;
    showPreview(): void;
    addTheme(): void;
    closePreview(): void;
    editObj(res: any): any;
    getContEje(): void;
}
